Skip to content
GET /unified/crm/leads/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

fields
2 supported
Monday CRM
supported
Zoho CRM
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The lead' unique identifier

11 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
accountobject

The lead's account

References: Accounts → id
7 supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zoho CRM
supported
idstring

The account's unique identifier

addressesobject[]
6 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Insightly
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
citystring

The city

countrystring

The country

postal_codestring

The postal code

statestring

The state

street_1string

Line 1 of the street address

street_2string

Line 2 of the street address

typestring

The address type

contactobject

The contact associated with the lead

References: Contacts → id
6 supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Zoho CRM
supported
idstring

The contact's unique identifier

converted_accountstring

The lead's converted account

2 supported
Insightly
supported
Salesforce
supported
converted_atstring · date-time

The date and time of the lead's conversion

3 supported
Insightly
supported
Pipeliner
supported
Salesforce
supported
converted_contactstring

The lead's converted contact

2 supported
Insightly
supported
Salesforce
supported
created_atstring · date-time

The date and time of the lead's creation

11 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
custom_fieldsRecord<string, any>

All the custom fields present on the lead

8 supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
email_addressesobject[]
8 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
emailstring

The email address

typestring

The email address type

first_namestring

The lead's first name

7 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
last_activity_atstring · date-time

The date and time of the lead's last activity

5 supported
HubSpot
supported
Insightly
supported
Nutshell
supported
Salesforce
supported
Zoho CRM
supported
last_namestring

The lead's last name

7 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
lead_sourcestring

The lead's source

9 supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
lead_typestring

The lead's type

1 supported
HubSpot
supported
ownerobject

The lead's owner

11 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring

The lead's owner's unique identifier

phone_numbersobject[]
7 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Insightly
supported
Monday CRM
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The phone number type

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The lead's status

5 supported
HubSpot
supported
Monday CRM
supported
Nutshell
supported
Zendesk Sell
supported
Zoho CRM
supported
titlestring

The lead's title

10 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
updated_atstring · date-time

The date and time of the lead's last update

11 supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Monday CRM
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
urlsobject[]

The lead's urls

5 supported
Monday CRM
supported
Pipedrive
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
typestring

The lead's URL type

urlstring

The lead's URL

curl -X GET 'https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/leads/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'leads',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "leads",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())